[Planning] Organize regular meetings with marketing/promo team
Closed, ResolvedPublic

Description

This task has 2 main goals:

  1. Gather everyone who has previous experience in marketing/promo for KDE and all community members who want to be part of this team. We will all be working together, so we need to get to know each other.
  1. Set up a communication channel for the team. We have to decide how to communicate among ourselves (but also with other groups within the community - developers, designers, etc.). We can continue using the existing channels (kde-promo list, IRC), set up something new (Telegram?), or come up with a combination of the two. This also includes scheduling regular meetings to keep everyone in the loop.

How to do this?
My suggestion: send a survey-type of thing to the kde-promo list and have people fill it out with information about their previous experience, current availability and interests, communication preferences, etc.

Please add your suggestions as comments.

skadinna created this task.Apr 23 2017, 6:53 PM

+1 in regular meetings and a dedicated communication channel. Looking forward to meeting everyone! =)

It is probably worth it to check out matrix.org (riot.im is the most popular client) for a communication channel. It is completely FOSS both client and server side and can easily be bridged to IRC. It also allows for group calls (voice and audio) if that interests us, even though I never checked out a call with more than 2 participants.

A survey could indeed be useful. A wiki seems to also make sense, so we can all have easy access to populate it with our info and go through each others' entries.

James added a subscriber: James.Apr 24 2017, 5:25 PM

I was briefly involved in the Promo team back around 2010 (at one time I managed the KDE Community Youtube Channel and helped out with a few other things). I'll gladly help out again once the preferred methods of communication are established. To me the survey makes sense so as to try to match people with their areas of strength and interest. In the meantime I'm subscribed here and can always be reached via IRC under the nick 'ronnoc'. Time to get excited about Promo again! :)

Awesome! Thank you both for your comments. :) I'm so happy to see there's an interest in this project.

Lucas added a subscriber: Lucas.Apr 24 2017, 10:01 PM

Open source developers love G+ ;), seriously though telegram bridged to IRC is quite popular among KDE contributors. It is used by KDE VDG and it works pretty nice. However I am also fine with using a "traditional" form of communication like IRC or mailing list.

A note about IRC vs other systems: the already mentioned matrix.org already bridges few IRC networks, including freenode.net. You don't need to ask sysadmin to setup any Telegram brige; just install riot.im (or another client) and you can access IRC channels on the network used already by the KDE community.

Yes, Matrix is fantastic, I wrote about it in an article once. We should definitely highlight it as an option.

Personally, I'm in favor of text-based communication simply because not all of our community members have reliable, high-speed internet access. "Forcing" them to use a video conferencing tool would not be very inclusive of us. However, if it turns out that only a handful of people actually want to work on promo, and if they all prefer video communication, we'll go with that.

I believe that the survey will show us what people prefer. I'm planning to send it out by the end of the week, unless someone comes forward with a really strong argument against it, and a really, REALLY good suggestion on what to do instead. :)

Mozilla published an interesting article on how they try to include the community in their marketing tasks:
https://blog.mozilla.org/community/2017/02/23/open-and-agile/

Is there anything we could use/learn from this? Let me know what y'all think!

Lucas added a comment.May 7 2017, 10:16 AM

@skadinna Any info about the survey?

In T5938#92745, @Lucas wrote:

@skadinna Any info about the survey?

The draft is done and awaiting feedback from our survey master @colomar :).

Update: the survey is done.
We shared the link only on the mailing list for now; depending on the amount of responses, we might send it out to a wider audience at a later point in time.
This took way too long to complete, and I apologize for that.
I'll leave this task open until the survey is done. Then we'll look at the results and take it from there. :)
Thank you all for your patience!

James added a comment.Jul 27 2017, 6:52 PM

Any update on this by chance?

Since I didn't get around to doing this earlier, I thought we could organize this after Akademy, in case people were traveling to and back from the conference.
So there will be an update this weekend - including a presentation of survey results - and then hopefully our first meeting next week.

I'm sorry for the delays, I've had a lot of work-related stuff going on. Hope you understand. And thanks for reminding me!

skadinna renamed this task from Organize regular meetings with marketing/promo team to [Planning] Organize regular meetings with marketing/promo team.Jul 28 2017, 12:42 PM

This would be a good thing to do and as soon as possible.

I think that often on the channel we are working at cross-purposes of each other. @skadinna and I are sort of coordinated with our list of tasks we build every two weeks from from our meetings with @apol (and from the stuff we decided to do at the sprint), @ngraham has the onboarding goal, @michaeltunnell has videos and stuff to deal with (we agreed to increment that, by the way). The same goes for @IlyaBizyaev, @laysrodrigues, @hein, etc. And then we have the drive-by suggestions or requests to do things that often get ignored because they don't fit into anybody's agenda.

If we could get together once a week with an agenda we build together, we could all help each other better and avoid some of the chaos. We would also be able to ignore drive-bys by suggesting the proponent put it on the agenda for the next meeting and attend to flesh out their proposal.

I realise that, due to the fact we cover a very wide range of time zones, agreeing on a time is going to be hard, but we can at least try and figure it out.

aacid removed a subscriber: aacid.Mar 25 2018, 10:25 AM
apol assigned this task to skadinna.Jun 13 2018, 3:57 PM

These meetings haven't started yet. Was there a consensus for a day and time, @skadinna ?

Every other Monday at 5 PM CEST.

Would you like us to start next Monday? We could discuss things like "Brainstorm agenda for Akademy BoF". What do you think?

In T5938#153236, @paulb wrote:

Would you like us to start next Monday? We could discuss things like "Brainstorm agenda for Akademy BoF". What do you think?

Yes - great idea!

paulb closed this task as Resolved.Aug 21 2018, 11:31 PM